View Issue Details

IDProjectCategoryView StatusLast Update
0004963mantisbtfeaturepublic2015-05-11 11:17
Reportersyzop Assigned Tovboctor  
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionno change required 
Summary0004963: Add ability to "lock" bugreports (prevent adding of bugnotes)
Description

It would be nice to have an option that can prevent any further posts by normal users in a bugreport (on a per-bugid basis), bit like thread locking in forums.
Of course, the reporter and DEVELOPER's (or whatever level you choose or make optional) should be excluded from this limitation.

Additional Information

We tend to have users that like to start whole off-topic discussions in a bugreport, or start all kinds of great explanations and theories on a bug when we in fact already acknowledged the issue and know how to fix it, so this is quite annoying... I usually set the bugreport as private now to shut them up, but this is not really preferable :).

TagsNo tags attached.

Relationships

child of 0004181 closed Features in Mantis 1.1 release 

Activities

jlatour

jlatour

2004-12-11 19:17

reporter   ~0008582

I believe you can define up to what state bugnotes can be added, but this sounds like a good feature.

vboctor

vboctor

2015-04-28 02:57

manager   ~0050651

By default we currently consider an issue in read-only state once it is resolved. Users with access level above configured threshold for the follow config can still add notes.

/**

  • Threshold needed to update readonly bugs. Readonly bugs are identified via
  • $g_bug_readonly_status_threshold.
  • @global integer $g_update_readonly_bug_threshold
    */
    $g_update_readonly_bug_threshold = MANAGER;

Issue History

Date Modified Username Field Change
2004-12-11 14:49 syzop New Issue
2004-12-11 19:17 jlatour Note Added: 0008582
2004-12-11 19:17 jlatour Status new => acknowledged
2004-12-11 19:17 jlatour Relationship added child of 0004181
2015-04-28 02:57 vboctor Assigned To => vboctor
2015-04-28 02:57 vboctor Status acknowledged => resolved
2015-04-28 02:57 vboctor Resolution open => no change required
2015-04-28 02:57 vboctor Note Added: 0050651
2015-05-11 11:17 atrol Status resolved => closed